Skip to main content
其他

ApplyTempStorageLease – Apply for a Temporary File Upload Lease

Apply for a temporary file upload permission, then upload the file yourself. This API is intended for pro-code deployment.

POST
/{WorkspaceId}/datacenter
cURL
curl --request POST \
  --url 'https://bailian.{regionId}.aliyuncs.com/{WorkspaceId}/datacenter' \
  --header 'Authorization: Bearer <YOUR_API_KEY>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "FileName": "example.txt",
  "SizeInBytes": 1024
}
'
{
  "Code": "",
  "Data": {
    "TempStorageLeaseId": "1e6a159107384782be5e45ac4759b247.1719325231035",
    "Param": {
      "Headers": "Content-Type: application/json",
      "Method": "PUT",
      "Url": "https://bailian-datahub-data-origin-prod.oss-cn-hangzhou.aliyuncs.com/xxx.pdf?Expires=1716699536"
    }
  },
  "Message": "",
  "RequestId": "778C0B3B-xxxx-5FC1-A947-36EDD13606AB",
  "Status": "200",
  "Success": true
}

Authorizations

string
header
required

阿里云 AccessKey (AK/SK) V3 签名认证。此处非 Bearer Token;调用时需按 ACS3-HMAC-SHA256 算法计算请求签名,详见阿里云 API 签名机制文档。

Path Parameters

string
required

百炼业务空间 ID

Body

application/json
string
required

文件名称,需要包含文件后缀

integer
required

文件大小(单位字节)

Response

200-application/json
string

错误状态码。

object

接口业务数据字段。

string

错误信息。

string

请求 ID。

string

接口返回的状态码。

boolean

接口调用是否成功。

Overview
Managed Agent API
Sandbox API
Memory API
Flow Agent API
RAG API
Connector API
Framework Integration
Assistant API (Deprecating)
  • Overview